CREATE CONSTRAINT TRIGGER()

NAME
CREATE CONSTRAINT TRIGGER - define a new constraint trigger

SYNOPSIS

CREATE CONSTRAINT TRIGGER name
    AFTER events ON
    tablename constraint attributes
    FOR EACH ROW EXECUTE PROCEDURE funcname ( args )

DESCRIPTION

CREATE CONSTRAINT TRIGGER is used within CREATE TABLE/ALTER TABLE and by pg_dump to create the special triggers for referential integrity. It is not intended for general use.

PARAMETERS

name
    The name of the constraint trigger.

events
    The event categories for which this trigger should be fired.

tablename
    The name (possibly schema-qualified) of the table in which the triggering events occur.

constraint
    Actual constraint specification.

attributes
    The constraint attributes.

funcname(args)
    The function to call as part of the trigger processing.